View Issue Details

IDProjectCategoryView StatusLast Update
0000480luatexluatex bugpublic2010-12-13 14:43
ReporterHans HagenAssigned Tohhenkel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.65.0 
Summary0000480: suddenly pdf inclusion is slow
Descriptionnormally this went real fast ...

\starttext
    \dorecurse{100}{\externalfigure[all.pdf][page=\recurselevel]}
\stoptext

.. but suddenly it's dead slow
TagsNo tags attached.

Activities

hhenkel

2010-09-14 00:38

manager   ~0000631

how slow is dead slow? here (today's ConTeXt, debian squeeze, AMD64, 4400 bogomips) it gives:

mkiv lua stats : current memory usage - 50 MB (ctx: 51 MB)
mkiv lua stats : runtime - 1.753 seconds, 16 processed pages, 17 shipped pages, 9.698 pages/second

MTXrun | total runtime: 2.092

real 0m2.281s
user 0m1.864s
sys 0m0.204s

Regards, Hartmut

hhenkel

2010-09-14 00:46

manager   ~0000632

the above was missing the all.pdf, so it put a dummy in. with luatexref-t.pdf copied to all.pdf it gives:

mkiv lua stats : runtime - 4.141 seconds, 99 processed pages, 100 shipped pages, 24.149 pages/second

MTXrun | total runtime: 4.476

real 0m4.657s
user 0m3.848s
sys 0m0.436s

Looks still reasonably fast.

Regards, Hartmut

Hans Hagen

2010-09-14 21:21

manager   ~0000634

on my machine it's more like 1 sec per page

hhenkel

2010-09-14 21:30

manager   ~0000635

what's your all.pdf? would be good to have for comparison...

Taco

2010-09-30 10:54

administrator   ~0000637

Should be fixed by #3900. Hartmut, can you please review the change?

Taco

2010-11-12 14:54

administrator   ~0000654

my fix is in 0.64.0

Issue History

Date Modified Username Field Change
2010-09-14 00:20 Hans Hagen New Issue
2010-09-14 00:20 Hans Hagen Status new => assigned
2010-09-14 00:20 Hans Hagen Assigned To => hhenkel
2010-09-14 00:21 Hans Hagen Summary suddenly pdf inclusion is show => suddenly pdf inclusion is slow
2010-09-14 00:38 hhenkel Note Added: 0000631
2010-09-14 00:46 hhenkel Note Added: 0000632
2010-09-14 21:21 Hans Hagen Note Added: 0000634
2010-09-14 21:30 hhenkel Note Added: 0000635
2010-09-30 10:54 Taco Note Added: 0000637
2010-09-30 10:54 Taco Status assigned => feedback
2010-11-12 14:54 Taco Note Added: 0000654
2010-11-12 14:54 Taco Status feedback => resolved
2010-11-12 14:54 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed